#include <iostream>
using namespace std;
int bez_duplikata(int bacanja2[],int z){
    for(int a = 0;a<z;a++){
        for(int b = 0;b<a;b++){
            if(bacanja2[a]==bacanja2[b]){
                z--;
                for(int c = a;c<z;c++){
                    bacanja2[c]=bacanja2[c+1];
                }
                a--;
            }
        }
    }
    return z;
}
int main(){
    int n,k;
    cin>>n>>k;
    int bacanja[n];
    int brojac[n];
    int bacanja2[n];
    int bacanja3[n];
    int x = 0;
    for(int i = 0;i<n;i++){
        cin>>bacanja[i];
        bacanja2[i] = bacanja[i];
    }
    int z = sizeof(bacanja2) / sizeof(bacanja2[0]);
    z = bez_duplikata(bacanja2,z);
    for(int j = 0;j<z;j++){
        brojac[j] = 0;
    }
    for(int k = 0;k<z;k++){
        for(int l = 0;l<n;l++){
            if(bacanja2[k]==bacanja[l]){
                brojac[k] += 1;
            }
        }
    }
    for(int m = 0;m<z;m++){
        if(brojac[m]>=k){
            bacanja3[x] = bacanja2[m];
            x++;
        }
    }
    cout<<x<<"\n";
    for(int r = 0;r<x;r++){
        cout<<bacanja3[r]<<" ";
    }
}